package com.huiju.estateagents.controller;

import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.service.IStatisticalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

/**
 * 数据统计
 */
@RestController
@RequestMapping("/")
public class StatisticalController {

    @Autowired
    private IStatisticalService iStatisticalService;

    /**
     * 首页统计
     * @return
     */
    @GetMapping(value = "/indexStatistical")
    public ResponseBean indexStatistical() {
        return iStatisticalService.indexStatistical();
    }

    /**
     * 活跃用户数
     * @return
     */
    @GetMapping(value = "/selectActiveUserCount")
    public ResponseBean selectActiveUserCount(@RequestParam String dateType) {
        return iStatisticalService.selectActiveUserCount(dateType);
    }

    /**
     * 活跃用户数
     * @return
     */
    @GetMapping(value = "/selectNewsUserCount")
    public ResponseBean selectNewsUserCount(@RequestParam(required = false) Date startDate,
                                            @RequestParam(required = false) Date endDate) {
        return iStatisticalService.selectNewsUserCount(startDate, endDate);
    }

    /**
     * 用户行为
     * @return
     */
    @GetMapping(value = "/selectUserBehavior")
    public ResponseBean selectUserBehavior(@RequestParam(required = false) Date startDate,
                                            @RequestParam(required = false) Date endDate) {
        return iStatisticalService.selectUserBehavior(startDate, endDate);
    }


    /**
     * 行为分析的 列表
     * @return
     */
    @GetMapping(value = "/selectUserBehaviorAll")
    public ResponseBean selectUserBehaviorAll(@RequestParam(required = false) Integer pageNum,
                                           @RequestParam(required = false) Integer pageCode) {
        return iStatisticalService.selectUserBehaviorAll(pageNum, pageCode);
    }

    /**
     * 行为分析的 具体数据列表
     * @return
     */
    @GetMapping(value = "/selectEventAll")
    public ResponseBean selectEventAll(@RequestParam(required = false) String event,
                                              @RequestParam(required = false) Integer personId) {
        return iStatisticalService.selectEventAll(event, personId);
    }

}
