package com.huiju.estateagents.service;

import com.huiju.estateagents.base.ResponseBean;

import java.util.Date;

/**
 * 数据统计 接口
 */
public interface IStatisticalService {

    /**
     * 首页统计总数
     * @return
     */
    ResponseBean indexStatistical();

    /**
     * 活跃用户数
     * @return
     */
    ResponseBean selectActiveUserCount(String dateType);

    /**
     * 新增用户数
     * @param startDate
     * @param endDate
     * @return
     */
    ResponseBean selectNewsUserCount(Date startDate,Date endDate);

    /**
     * 用户行为
     * @param startDate
     * @param endDate
     * @return
     */
    ResponseBean selectUserBehavior(Date startDate,Date endDate);

    /**
     * 行为分析的 列表
     * @param pageNum
     * @param pageCode
     * @return
     */
    ResponseBean selectUserBehaviorAll(Integer pageNum, Integer pageCode);

    /**
     * 行为分析的 具体数据列表
     * @param event
     * @param personId
     * @return
     */
    ResponseBean selectEventAll(String event, Integer personId);
}
